import java.rmi.server.UnicastRemoteObject;
import java.rmi.RemoteException;

public class NumClientsLoadImpl extends UnicastRemoteObject implements Load {
    private int numberOfClients = 0;

    public NumClientsLoadImpl() throws RemoteException{
	super();
    }

    public int compareTo(Load other) throws RemoteException{
	    if(this.getIntLoad() == other.getIntLoad())
		return 0;
	    if(this.getIntLoad() < other.getIntLoad())
		return -1;
	    if(this.getIntLoad() > other.getIntLoad())
		return 1;
	    return 3;
    }

    public int getIntLoad(){
	return numberOfClients;
    }

    public void setIntLoad(int n){
	numberOfClients = n;
    }

}
