import java.util.Iterator;
import java.rmi.RemoteException;

public class ServerRRLoadBalancer implements ServerLoadBalancer{

    
    public SlaveServer balanceLoad(Iterator i){
	SlaveServer slave = null;
	
	try{
	    slave = (SlaveServer) i.next();
	    Load min = slave.getLoad();
	    
	    while(i.hasNext()) {
		SlaveServer atual = (SlaveServer) i.next();
		if (atual.getLoad().compareTo(min) == -1) 
		    slave = atual;
	    }		
	}
	catch(RemoteException r){
	    System.out.println("trouble in lb :"+r);
	}
	return slave;
	
    }

}
