import java.rmi.Naming;
import java.rmi.RemoteException;
import java.rmi.RMISecurityManager;
import java.rmi.server.UnicastRemoteObject;

/**
 * Implementacao da setinha
 * 
 */
public class SetinhaImpl extends UnicastRemoteObject implements Setinha {
	protected int x, y, angle;
	protected String id;

	/**
	 * Construtor simples
	 */
	public SetinhaImpl(String id) throws RemoteException {
		super();
		this.id = id;
	}

	public String getId() {
		return id;
	}


	public int getAngle() {
		return angle;
	}

	public int getX() {
		return x;
	}

	public int getY() {
		return y;
	}

	public void setAngle(int angle) {
		this.angle = angle;
	}

	public void setX(int x) {
		this.x = x;
	}

	public void setY(int y) {
		this.y = y;
	}

}